package com.jasamedika.medifirst2000.vo;
import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

public class DetailPerlakuanVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "objectPerlakuanFk")
	private PerlakuanVO perlakuan;
	
	@ManyToOne
	@JoinColumn(name = "objectPerizinanLimbahFk")
	private PerizinanLimbahVO perizinanLimbah;
	
	@Column(name="jenisLimbahYangDikelola")
	private String jenisLimbahYangDikelola;
	
	@Column(name="jenisLimbahYangDikelola")
	private Double jumlah;

	public PerlakuanVO getPerlakuan() {
		return perlakuan;
	}

	public void setPerlakuan(PerlakuanVO perlakuan) {
		this.perlakuan = perlakuan;
	}

	public PerizinanLimbahVO getPerizinanLimbah() {
		return perizinanLimbah;
	}

	public void setPerizinanLimbah(PerizinanLimbahVO perizinanLimbah) {
		this.perizinanLimbah = perizinanLimbah;
	}

	public String getJenisLimbahYangDikelola() {
		return jenisLimbahYangDikelola;
	}

	public void setJenisLimbahYangDikelola(String jenisLimbahYangDikelola) {
		this.jenisLimbahYangDikelola = jenisLimbahYangDikelola;
	}

	public Double getJumlah() {
		return jumlah;
	}

	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}

	


}
